/*******************************************************************************************************************************************************************************************************
* System Name   : Web-services processor
* Description   : Processes all web services
* Notes         : None
* Company       : 
* Project       : 
********************************************************************************************************************************************************************************************************
* History       : 30.07.15: Moadib: Develop funcionality
*******************************************************************************************************************************************************************************************************/

/* global variables */

var contexto = ['http://127.0.0.1:8036/webrun/', 'ERP']; //Development address
//var contexto = ['http://sistemas.seudominio.com.br/', 'ERP']; //Production address

/*******************************************************************************************************************************************************************************************************
* Function Name : fluxoWebRemoto
* Description   : Execute a remote web flow.
* Arguments     : JSON Object
* Return        : This function should not be associated with a return variable. The result is returned to the success function.
* Notes         : None 
********************************************************************************************************************************************************************************************************
* History       : 09.03.15: moadib: First versioning
*******************************************************************************************************************************************************************************************************/

function fluxoWebRemoto(oJSON) {
	  $.executarFluxoRemoto(oJSON);
	}	
	
/*******************************************************************************************************************************************************************************************************
* Function Name : loadUsers
* Description   : Loads user list to app
* Return        : None
* Notes         : None
* Notes         : Array return struct of "wsexemplo":
*                 - First element Array: Column Names
*			  	  - Follow element Arrays: 
*					[1] - id   	- User ID
*					[2] - login - Login
*					[3] - name 	- User Name
*					[3] - email	- User email
********************************************************************************************************************************************************************************************************
* History       : 30.07.15: Moadib: Show search result in a list view using JSON object.
********************************************************************************************************************************************************************************************************/
function loadUsers()
{
    /* Initialize app movies RAM data */
    var ResultList = [];
	var container = '';

	fluxoWebRemoto({
	    url: contexto[0]+"wsexemplo.rule",
		parametros: {
		sys:contexto[1],// Context
          sys: contexto[1],
				Pesquisa: null
	  
		},
		sucesso: function(retorno) {

		ResultList = JSON.parse(retorno.responseText);
			
                        $(gridUsers).empty();
						
						container = '<table data-role="table" id="tablereceipt" data-mode="column" class="ui-body-d ui-shadow table-stripe ui-responsive"><thead><tr class="ui-bar-d"><th data-priority="2">ID</th><th>Login</th><th data-priority="3">Nome</th><th data-priority="1">email</th></tr></thead>';
			
						if (ResultList.length > 0)

						{
							container = container + '<tbody>'
							for (var z=1; z < ResultList.length; z++)
								{
								container = container + '<tr><th>'+ResultList[z][0]+'</th>'
									+ '<td>'+ResultList[z][1]+'</td>'
									+ '<td>'+ResultList[z][2]+'</td>'
									+ '<td>' + ResultList[z][3] +'</td></tr>';
									}
									
							container = container + '</tbody>';
						}
						else
								{


								}
						
						container = container + '</table>';
					
						$(gridUsers).append(container);
                        $(gridUsers).trigger('create');
						
						}
						

		
	})
	
}

	

